# kcdirdb.h File Reference

directory hash database More...

`#include <kccommon.h>`
`#include <kcutil.h>`
`#include <kcthread.h>`
`#include <kcfile.h>`
`#include <kccompress.h>`
`#include <kccompare.h>`
`#include <kcmap.h>`
`#include <kcregex.h>`
`#include <kcdb.h>`
`#include <kcplantdb.h>`

## Classes

class | kyotocabinet::DirDB
| Directory hash database. More...
class | kyotocabinet::DirDB::Cursor
| Cursor to indicate a record. More...
struct | kyotocabinet::DirDB::Record
| Record data.
class | kyotocabinet::DirDB::ScopedVisitor
| Scoped visitor.

## Namespaces

namespace | kyotocabinet

| All symbols of Kyoto Cabinet.

## Defines

#define | KCDDBMAGICFILE "__KCDIR__"
| magic file of the directory
#define | KCDDBMETAFILE "__meta__"
| meta data file of the directory
#define | KCDDBOPAQUEFILE "__opq__"
| opaque file of the directory
#define | KCDDBATRANPREFIX "_x"
| prefix of files for auto transaction
#define | KCDDBCHKSUMSEED "__kyotocabinet__"
| seed of the module checksum
#define | KCDDBMAGICEOF "_EOF_"
| magic data for the end of file
#define | KCDDBWALPATHEXT "wal"
| extension of the WAL directory
#define | KCDDBTMPPATHEXT "tmp"
| extension of the temporary directory

## Typedefs

typedef PlantDB< DirDB, BasicDB::TYPEFOREST > | kyotocabinet::ForestDB
| An alias of the directory tree database.

## Detailed Description

directory hash database

## Define Documentation

#define KCDDBMAGICFILE "__KCDIR__"

magic file of the directory

#define KCDDBMETAFILE "__meta__"

meta data file of the directory

#define KCDDBOPAQUEFILE "__opq__"

opaque file of the directory

#define KCDDBATRANPREFIX "_x"

prefix of files for auto transaction

#define KCDDBCHKSUMSEED "__kyotocabinet__"

seed of the module checksum

#define KCDDBMAGICEOF "_EOF_"

magic data for the end of file

#define KCDDBWALPATHEXT "wal"

extension of the WAL directory

#define KCDDBTMPPATHEXT "tmp"

extension of the temporary directory